--- tuning.html.orig	2008-02-28 19:36:59.000000000 +0100
+++ tuning.html	2008-02-28 22:04:37.000000000 +0100
@@ -65,7 +65,7 @@
 
 <li><b>Use the embedded Perl interpreter</b>.  If you're using a lot of Perl scripts for service checks, etc., you will probably find that compiling the <a href="embeddedperl.html">embedded Perl interpreter</a> into the Nagios binary will speed things up.<br><br></li>
 
-<li><b>Optimize host check commands</b>.  If you're checking host states using the check_ping plugin you'll find that host checks will be performed much faster if you break up the checks.  Instead of specifying a <i>max_attempts</i> value of 1 in the host definition and having the check_ping plugin send 10 ICMP packets to the host, it would be much faster to set the <i>max_attempts</i> value to 10 and only send out 1 ICMP packet each time.  This is due to the fact that Nagios can often determine the status of a host after executing the plugin once, so you want to make the first check as fast as possible.  This method does have its pitfalls in some situations (i.e. hosts that are slow to respond may be assumed to be down), but I you'll see faster host checks if you use it.  Another option would be to use a faster plugin (i.e. check_fping) as the <i>host_check_command</i> instead of check_ping.<br><br></li>
+<li><b>Optimize host check commands</b>.  If you're checking host states using the check_ping plugin you'll find that host checks will be performed much faster if you break up the checks.  Instead of specifying a <i>max_attempts</i> value of 1 in the host definition and having the check_ping plugin send 10 ICMP packets to the host, it would be much faster to set the <i>max_attempts</i> value to 10 and only send out 1 ICMP packet each time.  This is due to the fact that Nagios can often determine the status of a host after executing the plugin once, so you want to make the first check as fast as possible.  This method does have its pitfalls in some situations (i.e. hosts that are slow to respond may be assumed to be down), but you'll see faster host checks if you use it.  Another option would be to use a faster plugin (i.e. check_fping) as the <i>host_check_command</i> instead of check_ping.<br><br></li>
 
 <li><b>Schedule regular host checks</b>.  Scheduling regular checks of hosts can actually help performance in Nagios.  This is due to the way the <a href="cachedchecks.html">cached check logic</a> works (see below).  Prior to Nagios 3, regularly scheduled host checks used to result in a big performance hit.  This is no longer the case, as host checks are run in parallel - just like service checks.  To schedule regular checks of a host, set the <i>check_interval</i> directive in the <a href="objectdefinitions.html#host">host definition</a> to something greater than 0.<br><br></li>
 
@@ -75,7 +75,7 @@
 
 <li><b>External command optimizations</b>.  If you're processing a lot of external commands (i.e. passive checks in a <a href="distributed.html">distributed setup</a>, you'll probably want to set the <a href="configmain.html#command_check_interval">command_check_interval</a> variable to <b>-1</b>.  This will cause Nagios to check for external commands as often as possible.  You should also consider increasing the number of available <a href="configmain.html#external_command_buffer_slots">external command buffer slots</a>.  Buffers slots are used to hold external commands that have been read from the <a href="configmain.html#command_file">external command file</a> (by a separate thread) before they are processed by the Nagios daemon.  If your Nagios daemon is receiving a lot of passive checks or external commands, you could end up in a situation where the buffers are always full.  This results in child processes (external scripts, NSCA daemon, etc.) blocking when they attempt to write to the external command file.  I would highly recommend that you graph external command buffer slot usage using MRTG and the nagiostats utility as described <a href="mrtggraphs.html">here</a>, so you understand the typical external command buffer usage of your Nagios installation.<br><br></li>
 
-<li><b>Optimize hardware for maximum performance</b>.  NOTE: Hardware performance shouldn't be an issue unless: 1) you're monitoring thousands of services, 2) you're doing a lot of post-processing of performance data, etc.  Your system configuration and your hardware setup are going to directly affect how your operating system performs, so they'll affect how Nagios performs.  The most common hardware optimization you can make is with your hard drives.  CPU and memory speed are obviously factors that affect performance, but disk access is going to be your biggest bottlenck.  Don't store plugins, the status log, etc on slow drives (i.e. old IDE drives or NFS mounts).  If you've got them, use UltraSCSI drives or fast IDE drives.  An important note for IDE/Linux users is that many Linux installations do not attempt to optimize disk access.  If you don't change the disk access parameters (by using a utility like <b>hdparam</b>), you'll loose out on a <b>lot</b> of the speedy features of the new IDE drives.<br><br></li>
+<li><b>Optimize hardware for maximum performance</b>.  NOTE: Hardware performance shouldn't be an issue unless: 1) you're monitoring thousands of services, 2) you're doing a lot of post-processing of performance data, etc.  Your system configuration and your hardware setup are going to directly affect how your operating system performs, so they'll affect how Nagios performs.  The most common hardware optimization you can make is with your hard drives.  CPU and memory speed are obviously factors that affect performance, but disk access is going to be your biggest bottleneck.  Don't store plugins, the status log, etc on slow drives (i.e. old IDE drives or NFS mounts).  If you've got them, use UltraSCSI drives or fast IDE drives.  An important note for IDE/Linux users is that many Linux installations do not attempt to optimize disk access.  If you don't change the disk access parameters (by using a utility like <b>hdparam</b>), you'll loose out on a <b>lot</b> of the speedy features of the new IDE drives.<br><br></li>
 
 </ol>
 
